# Reports

## GET /reports/alerts

> List alert metrics for the requested resources

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Reports"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}}},"paths":{"/reports/alerts":{"get":{"tags":["Reports"],"summary":"List alert metrics for the requested resources","parameters":[{"name":"sources","in":"query","description":"alert source ids to filter metrics for","schema":{"type":"number"}},{"name":"policies","in":"query","description":"escalation policy ids to filter metrics for","schema":{"type":"number"}},{"name":"numbers","in":"query","description":"phone numbers of call routing numbers to filter metrics for","schema":{"type":"string"}},{"name":"from","in":"query","description":"date-time ISO-UTC e.g. 2021-05-25T21:24:56.771Z, start of the time range, may not exceed 1 year in total span","required":true,"schema":{"type":"string"}},{"name":"until","in":"query","description":"date-time ISO-UTC e.g. 2021-05-25T21:24:56.771Z, end of the time range, must be after 'from', must not be in the future","required":true,"schema":{"type":"string"}},{"name":"timezone","in":"query","description":"Time zone in which the results will be rendered, defaults to tenant's configured default timezone","schema":{"type":"string"}},{"name":"metric","in":"query","description":"Describes the metric that should be fetched choose one of: COUNT, MTTA or MTTR - defaults to COUNT","schema":{"type":"string"}},{"name":"group-by","in":"query","description":"Defines the grouping of metrics, choose one of: DAY, WEEK or MONTH - defaults to WEEK","schema":{"type":"string"}},{"name":"priority","in":"query","description":"Sets the priority filter that should be applied, choose one of: LOW, HIGH or ALL - defaults to ALL","schema":{"type":"string"}}],"responses":{"200":{"description":"an array of alert report metrics, each metric is another array containing data in the following order: \n\n[long:alertSourceId, long:escalationPolicyId, string:callRoutingNumberPhoneNumber, string:ISO-8601, long:value]\n\ne.g. [ [202541, 13541, \"\", \"2021-08\", 15] ]\n\nPlease note: the ISO-8601 (4th column) in this case depends on the chosen 'group-by' parameter. DAY=2021-08-01, WEEK=2021-W12, MONTH=2021-08","content":{"application/json":{"schema":{"type":"array","items":{"type":"array","items":{"oneOf":[{"type":"number"},{"type":"string"}]}}}},"metric sample":{}}}}}}}}
```

## GET /reports/alerts/summary

> Summarize a list of alert metrics

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Reports"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}}},"paths":{"/reports/alerts/summary":{"get":{"tags":["Reports"],"summary":"Summarize a list of alert metrics","parameters":[{"name":"sources","in":"query","description":"alert source ids to filter metrics for","schema":{"type":"number"}},{"name":"policies","in":"query","description":"escalation policy ids to filter metrics for","schema":{"type":"number"}},{"name":"numbers","in":"query","description":"phone numbers of call routing numbers to filter metrics for","schema":{"type":"string"}},{"name":"from","in":"query","description":"date-time ISO-UTC e.g. 2021-05-25T21:24:56.771Z, start of the time range, may not exceed 1 year in total span","required":true,"schema":{"type":"string"}},{"name":"until","in":"query","description":"date-time ISO-UTC e.g. 2021-05-25T21:24:56.771Z, end of the time range, must be after 'from', must not be in the future","required":true,"schema":{"type":"string"}},{"name":"timezone","in":"query","description":"Time zone in which the results will be rendered, defaults to tenant's configured default timezone","schema":{"type":"string"}},{"name":"metric","in":"query","description":"Describes the metric that should be fetched choose one of: COUNT, MTTA or MTTR - defaults to COUNT","schema":{"type":"string"}},{"name":"group-by","in":"query","description":"Defines the grouping of metrics, choose one of: DAY, WEEK or MONTH - defaults to WEEK","schema":{"type":"string"}},{"name":"priority","in":"query","description":"Sets the priority filter that should be applied, choose one of: LOW, HIGH or ALL - defaults to ALL","schema":{"type":"string"}}],"responses":{"200":{"description":"an array containing summarized alert report metrics for the requested resource","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"alertSourceId":{"type":"number"},"escalationPolicyId":{"type":"number"},"callRoutingNumberPhoneNumber":{"type":"string"},"count":{"type":"number"},"mtta":{"type":"number"},"mttr":{"type":"number"}}}}}}}}}}}}
```

## List API key usage metrics for the requested resources

> This endpoint requires 'ADMIN' permissions

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Reports"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}}},"paths":{"/reports/api-keys/usage":{"get":{"tags":["Reports"],"summary":"List API key usage metrics for the requested resources","description":"This endpoint requires 'ADMIN' permissions","parameters":[{"name":"scopes","in":"query","description":"scopes of our API resources e.g. alert see https://docs.ilert.com/rest-api/developing-ilert-apps/token-lifetimes-error-codes-app-verification-etc.#ilert-oauth2-scopes","schema":{"type":"string"}},{"name":"from","in":"query","description":"date-time ISO-UTC e.g. 2021-05-25T21:24:56.771Z, start of the time range, may not exceed 1 month (31 days) in total span (use this to paginate)","required":true,"schema":{"type":"string"}},{"name":"until","in":"query","description":"date-time ISO-UTC e.g. 2021-05-25T21:24:56.771Z, end of the time range, must be after 'from', must not be in the future (use this to paginate)","required":true,"schema":{"type":"string"}},{"name":"timezone","in":"query","description":"Time zone in which the results will be rendered, defaults to tenant's configured default timezone","schema":{"type":"string"}}],"responses":{"200":{"description":"an array of usage metrics, each metric is another array containing data in the following order: \n\n[long:userId, string:scope, string:ISO-8601, long:value]\n\ne.g. [ [202541, \"source\", \"2023-04-21\", 15] ]\n\nPlease note: the ISO-8601 (3th column) in this case is always DAY (2021-08-01) usually 24 hours apart, but there is a slight chance that the same userId and scope have multiple entries for the same DAY","content":{"application/json":{"schema":{"type":"array","items":{"type":"array","items":{"oneOf":[{"type":"number"},{"type":"string"}]}}}},"metric sample":{}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ilert.com/developer-docs/rest-api/api-reference/reports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
